Support » Plugin: TablePress » PHP 7.1.14 Compatibility

  • Resolved thekendog

    (@thekendog)


    Is this compatible with PHP 7.1.14? I’m getting errors and the ‘add_plugin_action_links’ function in controller-admin.php is causing a fatal error. I’m getting the “The empty index operator is not supported for strings anymore” problem.

Viewing 3 replies - 1 through 3 (of 3 total)
  • Plugin Author TobiasBg

    (@tobiasbg)

    Hi,

    thanks for your post, and sorry for the trouble.

    This indicates that another plugin on your site contains a bug. It seems to be returning a wrong data type (string instead of array) to a filter hook.

    Can you therefore please try again after temporarily deactivating all other plugins and after switching to a WordPress default theme like Twenty Sixteen? That way, we can find what’s causing this.

    Regards,
    Tobias

    Yup, that was indeed the case. The Admin Menu Editor plugin isn’t PHP 7.1 compatible it appears. Thanks for the help.

    Plugin Author TobiasBg

    (@tobiasbg)

    Hi,

    no problem, you are very welcome! 🙂 Good to hear that this helped!

    Best wishes,
    Tobias

    P.S.: In case you haven’t, please rate TablePress here in the plugin directory. Thanks!

Viewing 3 replies - 1 through 3 (of 3 total)
  • You must be logged in to reply to this topic.